Index: testsuites/libtests/block01/init.c
===================================================================
--- testsuites/libtests/block01/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/block01/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -33,4 +33,7 @@
 #include <rtems/ramdisk.h>
 #include <rtems/diskdevs.h>
+
+/* forward declarations to avoid warnings */
+static rtems_task Init(rtems_task_argument argument);
 
 #define ASSERT_SC(sc) rtems_test_assert((sc) == RTEMS_SUCCESSFUL)
Index: testsuites/libtests/block02/init.c
===================================================================
--- testsuites/libtests/block02/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/block02/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -31,4 +31,7 @@
 #include <rtems/bdbuf.h>
 #include <rtems/diskdevs.h>
+
+/* forward declarations to avoid warnings */
+static rtems_task Init(rtems_task_argument argument);
 
 #define ASSERT_SC(sc) rtems_test_assert((sc) == RTEMS_SUCCESSFUL)
Index: testsuites/libtests/block03/init.c
===================================================================
--- testsuites/libtests/block03/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/block03/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -31,4 +31,7 @@
 #include <rtems/bdbuf.h>
 #include <rtems/diskdevs.h>
+
+/* forward declarations to avoid warnings */
+static rtems_task Init(rtems_task_argument argument);
 
 #define ASSERT_SC(sc) rtems_test_assert((sc) == RTEMS_SUCCESSFUL)
Index: testsuites/libtests/block04/init.c
===================================================================
--- testsuites/libtests/block04/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/block04/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -31,4 +31,7 @@
 #include <rtems/bdbuf.h>
 #include <rtems/diskdevs.h>
+
+/* forward declarations to avoid warnings */
+static rtems_task Init(rtems_task_argument argument);
 
 #define ASSERT_SC(sc) rtems_test_assert((sc) == RTEMS_SUCCESSFUL)
Index: testsuites/libtests/block05/init.c
===================================================================
--- testsuites/libtests/block05/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/block05/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -32,4 +32,7 @@
 #include <rtems/bdbuf.h>
 #include <rtems/diskdevs.h>
+
+/* forward declarations to avoid warnings */
+static rtems_task Init(rtems_task_argument argument);
 
 #define ASSERT_SC(sc) rtems_test_assert((sc) == RTEMS_SUCCESSFUL)
Index: testsuites/libtests/block06/init.c
===================================================================
--- testsuites/libtests/block06/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/block06/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -29,4 +29,7 @@
 #include <rtems/error.h>
 #include <rtems/bdbuf.h>
+
+/* forward declarations to avoid warnings */
+static rtems_task Init(rtems_task_argument argument);
 
 #define BDBUF_DISKS 2
Index: testsuites/libtests/block07/init.c
===================================================================
--- testsuites/libtests/block07/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/block07/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -35,4 +35,7 @@
 #include <rtems/diskdevs.h>
 
+/* forward declarations to avoid warnings */
+static rtems_task Init(rtems_task_argument argument);
+
 #define ASSERT_SC(sc) rtems_test_assert((sc) == RTEMS_SUCCESSFUL)
 
Index: testsuites/libtests/block09/init.c
===================================================================
--- testsuites/libtests/block09/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/block09/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -31,4 +31,7 @@
 #include <rtems/bdbuf.h>
 #include <rtems/diskdevs.h>
+
+/* forward declarations to avoid warnings */
+static rtems_task Init(rtems_task_argument argument);
 
 #define ASSERT_SC(sc) assert((sc) == RTEMS_SUCCESSFUL)
Index: testsuites/libtests/block10/init.c
===================================================================
--- testsuites/libtests/block10/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/block10/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -31,4 +31,7 @@
 #include <rtems/diskdevs.h>
 
+/* forward declarations to avoid warnings */
+static rtems_task Init(rtems_task_argument argument);
+
 #define ASSERT_SC(sc) assert((sc) == RTEMS_SUCCESSFUL)
 
Index: testsuites/libtests/block11/init.c
===================================================================
--- testsuites/libtests/block11/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/block11/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -38,4 +38,7 @@
 #include <rtems/malloc.h>
 
+/* forward declarations to avoid warnings */
+static rtems_task Init(rtems_task_argument argument);
+
 #define ASSERT_SC(sc) rtems_test_assert((sc) == RTEMS_SUCCESSFUL)
 
Index: testsuites/libtests/bspcmdline01/init.c
===================================================================
--- testsuites/libtests/bspcmdline01/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/bspcmdline01/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2009.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -14,4 +14,9 @@
 #include <tmacros.h>
 #include <rtems/bspcmdline.h>
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
+void test_errors(void);
+void test_search(bool null_expected, const char *cmdline, const char *param);
 
 extern const char *bsp_boot_cmdline;
Index: testsuites/libtests/devfs01/init.c
===================================================================
--- testsuites/libtests/devfs01/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/devfs01/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2010.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -16,4 +16,7 @@
 #include <rtems/devfs.h>
 #include <errno.h>
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
 
 rtems_task Init(
Index: testsuites/libtests/devfs02/init.c
===================================================================
--- testsuites/libtests/devfs02/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/devfs02/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2010.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -26,4 +26,7 @@
 #include <rtems/devfs.h>
 #include <rtems/malloc.h>
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
 
 rtems_task Init(
Index: testsuites/libtests/devfs03/init.c
===================================================================
--- testsuites/libtests/devfs03/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/devfs03/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2010.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -23,4 +23,7 @@
 #include <sys/stat.h>
 #include <fcntl.h>
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
 
 rtems_task Init(
Index: testsuites/libtests/devfs04/init.c
===================================================================
--- testsuites/libtests/devfs04/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/devfs04/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2010.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -22,4 +22,7 @@
 #include "test_driver.h"
 #include <rtems/devnull.h>
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
 
 rtems_task Init(
Index: testsuites/libtests/deviceio01/init.c
===================================================================
--- testsuites/libtests/deviceio01/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/deviceio01/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2010.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -22,4 +22,7 @@
 #include "test_driver.h"
 #include <rtems/devnull.h>
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
 
 rtems_task Init(
Index: testsuites/libtests/dumpbuf01/init.c
===================================================================
--- testsuites/libtests/dumpbuf01/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/dumpbuf01/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2010.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -16,6 +16,9 @@
 #include <rtems/dumpbuf.h>
 
-unsigned char Buffer[] = 
-"ABCDEFGHIJKLMNOPQRSTUVWXYZ01234567890\n";
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
+void do_test(int length);
+
+unsigned char Buffer[] = "ABCDEFGHIJKLMNOPQRSTUVWXYZ01234567890\n";
 
 void do_test(
Index: testsuites/libtests/flashdisk01/init.c
===================================================================
--- testsuites/libtests/flashdisk01/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/flashdisk01/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -33,4 +33,7 @@
 #include "test-file-system.h"
 
+/* forward declarations to avoid warnings */
+static rtems_task Init(rtems_task_argument argument);
+
 #define FLASHDISK_CONFIG_COUNT 1
 
Index: testsuites/libtests/ftp01/init.c
===================================================================
--- testsuites/libtests/ftp01/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/ftp01/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -27,4 +27,7 @@
 #include <rtems/ftpd.h>
 #include <rtems/ftpfs.h>
+
+/* forward declarations to avoid warnings */
+static rtems_task Init(rtems_task_argument argument);
 
 struct rtems_bsdnet_config rtems_bsdnet_config;
Index: testsuites/libtests/gxx01/init.c
===================================================================
--- testsuites/libtests/gxx01/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/gxx01/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2010.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -16,4 +16,13 @@
 #include <rtems/gxx_wrappers.h>
 
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
+void test_recursive_mutex(void);
+void test_mutex(void);
+void once_function(void);
+void test_once(void);
+void key_dtor(void *ptr);
+void test_key(void);
+
 void test_recursive_mutex(void)
 {
Index: testsuites/libtests/malloc02/init.c
===================================================================
--- testsuites/libtests/malloc02/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/malloc02/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2009.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -13,4 +13,8 @@
 
 #include <tmacros.h>
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
+rtems_timer_service_routine test_operation_from_isr(rtems_id timer, void *arg);
 
 volatile bool operation_performed_from_tsr;
Index: testsuites/libtests/malloc03/init.c
===================================================================
--- testsuites/libtests/malloc03/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/malloc03/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2010.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -14,4 +14,7 @@
 #include <tmacros.h>
 #include "test_support.h"
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
 
 rtems_task Init(
Index: testsuites/libtests/malloc05/init.c
===================================================================
--- testsuites/libtests/malloc05/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/malloc05/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2010.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -15,4 +15,7 @@
 #include "test_support.h"
 #include <rtems/malloc.h>
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
 
 rtems_task Init(
Index: testsuites/libtests/mouse01/init.c
===================================================================
--- testsuites/libtests/mouse01/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/mouse01/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2011.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -27,4 +27,17 @@
 
 #define UID_MESSAGE_COUNT 10
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
+bool enqueue_next_action(
+  const unsigned char *actions,
+  size_t               max,
+  size_t               to_enqueue
+);
+void open_it(void);
+void register_it(void);
+void printf_uid_message(struct MW_UID_MESSAGE *uid);
+void receive_uid_message(void);
+void close_it(void);
 
 extern const char *Mouse_Type_Long;
Index: testsuites/libtests/rbheap01/init.c
===================================================================
--- testsuites/libtests/rbheap01/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/rbheap01/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -21,4 +21,7 @@
 #include <rtems.h>
 #include <rtems/rbheap.h>
+
+/* forward declarations to avoid warnings */
+static rtems_task Init(rtems_task_argument argument);
 
 #define PAGE_SIZE 1024
Index: testsuites/libtests/stackchk/blow.c
===================================================================
--- testsuites/libtests/stackchk/blow.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/stackchk/blow.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -4,5 +4,5 @@
  *  15 seconds and then call a routine to "blow the stack".
  *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -19,12 +19,19 @@
 #include <rtems/stackchk.h>
 
-void b(void) {}
+/* forward declarations to avoid warnings */
+void b(void);
+void blow_stack(void);
 
-void blow_stack( void )
+void b(void)
+{
+}
+
+void blow_stack(void)
 {
   volatile uint32_t   *low, *high;
   unsigned char *area;
 
-b();
+  b();
+
   /*
    *  Destroy the first and last 16 bytes of our stack... Hope it
Index: testsuites/libtests/stackchk01/init.c
===================================================================
--- testsuites/libtests/stackchk01/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/stackchk01/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2009.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -14,4 +14,7 @@
 #include <tmacros.h>
 #include <rtems/stackchk.h>
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
 
 rtems_task Init(
Index: testsuites/libtests/stringto01/init.c
===================================================================
--- testsuites/libtests/stringto01/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/stringto01/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2009.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -18,4 +18,7 @@
 
 #include <stdio.h>
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
 
 #define __STRING(x)     #x              /* stringify without expanding x */
Index: testsuites/libtests/stringto01/stringto_test_template.h
===================================================================
--- testsuites/libtests/stringto01/stringto_test_template.h	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/stringto01/stringto_test_template.h	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2009.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -23,4 +23,7 @@
   #error "what type are we testing?"
 #endif
+
+/* forward declarations to avoid warnings */
+void TEST_STRING_TO_NAME(void);
 
 void TEST_STRING_TO_NAME(void)
Index: testsuites/libtests/syscall01/init.c
===================================================================
--- testsuites/libtests/syscall01/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/syscall01/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -27,4 +27,7 @@
 #include <rtems/libio.h>
 #include <rtems/rtems_bsdnet.h>
+
+/* forward declarations to avoid warnings */
+static rtems_task Init(rtems_task_argument argument);
 
 static const char open_driver_path [] = "/dev/open_driver";
Index: testsuites/libtests/tar01/init.c
===================================================================
--- testsuites/libtests/tar01/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/tar01/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2010.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -25,4 +25,9 @@
 
 #include "initial_filesystem_tar.h"
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
+void test_untar_from_memory(void);
+void test_untar_from_file(void);
 
 #define TARFILE_START initial_filesystem_tar
Index: testsuites/libtests/tar02/init.c
===================================================================
--- testsuites/libtests/tar02/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/tar02/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2010.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -25,4 +25,8 @@
 
 #include "initial_filesystem_tar.h"
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
+void test_tarfs_load(void);
 
 #define TARFILE_START initial_filesystem_tar
Index: testsuites/libtests/tar03/init.c
===================================================================
--- testsuites/libtests/tar03/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/tar03/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2010.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -18,4 +18,8 @@
 #include <rtems/untar.h>
 #include <rtems/error.h>
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
+void test_tarfs_error(void);
 
 void test_tarfs_error(void)
Index: testsuites/libtests/termios/init.c
===================================================================
--- testsuites/libtests/termios/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/termios/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -27,19 +27,4 @@
 #include <bsp.h>
 
-
-#define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
-#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
-
-#define CONFIGURE_MAXIMUM_TASKS       1
-
-#define CONFIGURE_RTEMS_INIT_TASKS_TABLE
-
-#define CONFIGURE_MICROSECONDS_PER_TICK 1000
-
-#define CONFIGURE_INIT
-
-rtems_task Init (rtems_task_argument argument);
-
-#include <rtems/confdefs.h>
 #include <rtems/shell.h>
 
@@ -51,4 +36,22 @@
 
 #include <tmacros.h>
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
+void print_32bits(unsigned long bits, unsigned char size, char * names[]);
+void print_c_iflag(struct termios * tp);
+void print_c_oflag(struct termios * tp);
+void print_c_lflag(struct termios * tp);
+void print_c_cflag(struct termios * tp);
+void print_c_cc(struct termios * tp);
+void print_termios(struct termios *tp);
+unsigned long get_baud_rate(void);
+unsigned long get_parity(void);
+unsigned long get_stop_bits(void);
+unsigned long get_data_bits(void);
+void change_line_settings(struct termios *tp);
+void canonical_input(struct termios *tp);
+void do_raw_input(int vmin, int vtime);
+void usage(void);
 
 #if !defined(fileno)
@@ -439,5 +442,5 @@
 
 
-unsigned long get_baud_rate( void )
+unsigned long get_baud_rate(void)
 {
   unsigned long baud_rate;
@@ -796,2 +799,18 @@
   }
 }
+
+/* application configuration */
+#define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
+#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
+
+#define CONFIGURE_MAXIMUM_TASKS       1
+
+#define CONFIGURE_RTEMS_INIT_TASKS_TABLE
+
+#define CONFIGURE_MICROSECONDS_PER_TICK 1000
+
+#define CONFIGURE_INIT
+
+#include <rtems/confdefs.h>
+/* end of configuration */
+
Index: testsuites/libtests/termios01/termios_testdriver.c
===================================================================
--- testsuites/libtests/termios01/termios_testdriver.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/termios01/termios_testdriver.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,6 +1,10 @@
+/**
+ *  @file
+ *
+ *  This file contains a test fixture termios device driver.
+ */
+
 /*
- *  This file contains a test fixture termios device driver
- *
- *  COPYRIGHT (c) 1989-2009.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -22,4 +26,17 @@
 #include "termios_testdriver.h"
 
+/* forward declarations to avoid warnings */
+int termios_test_driver_inbyte_nonblocking(int port);
+void termios_test_driver_outbyte_polled(int port, char ch);
+ssize_t termios_test_driver_write_support(
+  int         minor,
+  const char *buf,
+  size_t      len
+);
+int termios_test_driver_set_attributes(
+  int                   minor,
+  const struct termios *t
+);
+
 int termios_test_driver_inbyte_nonblocking( int port )
 {
@@ -34,5 +51,9 @@
 }
 
-ssize_t termios_test_driver_write_support (int minor, const char *buf, size_t len)
+ssize_t termios_test_driver_write_support(
+  int         minor,
+  const char *buf,
+  size_t      len
+)
 {
   size_t nwrite = 0;
Index: testsuites/libtests/termios02/init.c
===================================================================
--- testsuites/libtests/termios02/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/termios02/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2010.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -16,4 +16,7 @@
 #include <errno.h>
 #include <unistd.h>
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
 
 rtems_task Init(
Index: testsuites/libtests/termios03/init.c
===================================================================
--- testsuites/libtests/termios03/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/termios03/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2010.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -22,4 +22,12 @@
 #include <termios.h>
 #include <rtems/dumpbuf.h>
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
+void write_helper(int fd, const char *c);
+void read_helper(int fd, const char *expected);
+void open_it(void);
+void close_it(void);
+void change_iflag(const char *desc, int mask, int new);
 
 void write_helper(
Index: testsuites/libtests/termios03/termios_testdriver_polled.c
===================================================================
--- testsuites/libtests/termios03/termios_testdriver_polled.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/termios03/termios_testdriver_polled.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,6 +1,10 @@
+/**
+ *  @file
+ *
+ *  This file contains a test fixture termios device driver
+ */
+
 /*
- *  This file contains a test fixture termios device driver
- *
- *  COPYRIGHT (c) 1989-2011.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -21,4 +25,17 @@
 #include <rtems/dumpbuf.h>
 #include "termios_testdriver_polled.h"
+
+/* forward declarations to avoid warnings */
+int termios_test_driver_inbyte_nonblocking(int port);
+void termios_test_driver_outbyte_polled(int port, char ch);
+ssize_t termios_test_driver_write_support(
+  int         minor,
+  const char *buf,
+  size_t      len
+);
+int termios_test_driver_set_attributes(
+  int                   minor,
+  const struct termios *t
+);
 
 #define TX_MAX 1024
Index: testsuites/libtests/termios04/init.c
===================================================================
--- testsuites/libtests/termios04/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/termios04/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2010.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -22,4 +22,12 @@
 #include <termios.h>
 #include <rtems/dumpbuf.h>
+
+/* forward declarations to avoid warnings */
+void write_helper(int fd, const char *c);
+void read_helper(int fd, const char *expected);
+void open_it(void);
+void close_it(void);
+void change_iflag(const char *desc, int mask, int new);
+rtems_task Init(rtems_task_argument argument);
 
 void write_helper(
Index: testsuites/libtests/termios04/termios_testdriver_intr.c
===================================================================
--- testsuites/libtests/termios04/termios_testdriver_intr.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/termios04/termios_testdriver_intr.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,6 +1,10 @@
+/**
+ *  @file
+ *
+ *  This file contains a test fixture termios device driver
+ */
+
 /*
- *  This file contains a test fixture termios device driver
- *
- *  COPYRIGHT (c) 1989-2011.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -22,4 +26,28 @@
 #include "termios_testdriver_intr.h"
 
+/* forward declarations to avoid warnings */
+void termios_test_driver_wait_for_tx_to_complete(void);
+rtems_timer_service_routine Rx_ISR(
+  rtems_id  ignored_id,
+  void     *ignored_address
+);
+rtems_timer_service_routine Tx_ISR(
+  rtems_id  ignored_id,
+  void     *ignored_address
+);
+ssize_t termios_test_driver_write_helper(
+  int         port,
+  const char *buf,
+  size_t      len
+);
+int termios_test_driver_set_attributes(
+  int                   minor,
+  const struct termios *t
+);
+#if defined(TASK_DRIVEN)
+  int termios_test_driver_inbyte_nonblocking(int port);
+#endif
+
+/* global variables */
 rtems_id Rx_Timer;
 rtems_id Tx_Timer;
Index: testsuites/libtests/termios05/init.c
===================================================================
--- testsuites/libtests/termios05/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/termios05/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2010.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -22,4 +22,12 @@
 #include <termios.h>
 #include <rtems/dumpbuf.h>
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
+void write_helper(int fd, const char *c);
+void read_helper(int fd, const char *expected);
+void open_it(void);
+void close_it(void);
+void change_iflag(const char *desc, int mask, int new);
 
 void write_helper(
Index: testsuites/libtests/termios06/init.c
===================================================================
--- testsuites/libtests/termios06/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/termios06/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2010.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -23,4 +23,17 @@
 #include <rtems/dumpbuf.h>
 #include <rtems/termiostypes.h>
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
+void open_it(void);
+void Rx_Wake(struct termios *tty, void *arg);
+void Tx_Wake(struct termios *tty, void *arg);
+void set_wakeups(void);
+void set_discipline(void);
+void ioctl_it(void);
+void close_it(void);
+void write_it(void);
+void read_helper(int fd, const char *expected);
+void read_it(void);
 
 void pppasyncattach(void);
Index: testsuites/libtests/termios06/test_pppd.c
===================================================================
--- testsuites/libtests/termios06/test_pppd.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/termios06/test_pppd.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2010.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -17,4 +17,7 @@
 #include <rtems/dumpbuf.h>
 
+/* forward declarations to avoid warnings */
+void ppp_test_driver_set_rx(const char *expected, size_t len);
+void pppasyncattach(void);
 int  pppopen(struct rtems_termios_tty *tty);
 int  pppclose(struct rtems_termios_tty *tty);
Index: testsuites/libtests/termios07/init.c
===================================================================
--- testsuites/libtests/termios07/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/termios07/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2010.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -23,4 +23,12 @@
 #include <rtems/dumpbuf.h>
 #include <rtems/libio.h>
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
+void write_helper(int fd, const char *c);
+void read_helper(int fd, const char *expected);
+void open_it(void);
+void close_it(void);
+void change_iflag(const char *desc, int mask, int new);
 
 void write_helper(
Index: testsuites/libtests/termios08/init.c
===================================================================
--- testsuites/libtests/termios08/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/termios08/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,4 +1,4 @@
 /*
- *  COPYRIGHT (c) 1989-2010.
+ *  COPYRIGHT (c) 1989-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -23,4 +23,13 @@
 #include <rtems/dumpbuf.h>
 #include <rtems/termiostypes.h>
+
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
+void open_it(void);
+void close_it(void);
+void write_it(void);
+void change_lflag( const char *desc, int mask, int new );
+void change_vmin_vtime( const char *desc, int min, int time );
+void read_it(ssize_t expected);
 
 int Test_fd;
@@ -87,7 +96,5 @@
 }
 
-void read_it(
-  ssize_t expected
-)
+void read_it( ssize_t expected )
 {
   ssize_t rc;
Index: testsuites/libtests/tztest/init.c
===================================================================
--- testsuites/libtests/tztest/init.c	(revision a03d4453dded62a05f043cd7f7822aecb1674d77)
+++ testsuites/libtests/tztest/init.c	(revision 4c86e3d8bee2680c9be999b4627b19438f1ae728)
@@ -1,7 +1,11 @@
-/*
+/**
+ *  @file
+ *
  *  This routine is the initialization task of test to exercise some
  *  timezone functionality.
- *
- *  COPYRIGHT (c) 2007.
+ */
+
+/*
+ *  COPYRIGHT (c) 2007-2012.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -20,4 +24,8 @@
 #include <time.h>
 #include <stdlib.h>
+ 
+/* forward declarations to avoid warnings */
+rtems_task Init(rtems_task_argument argument);
+void tztester(void);
 
 void tztester(void)
